2022-01-07  Bruno Haible  <bruno@clisp.org>

	Prepare for version 2.14.
	* configure.ac (AC_INIT): Bump version to 2.14.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:7:0.

2022-01-07  Bruno Haible  <bruno@clisp.org>

	Improve support for Linux/LoongArch64.
	* src/fault-linux-loongarch.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* configure.ac (CFG_FAULT): Use this file on Linux/LoongArch64.
	* NEWS: Mention it.

2021-09-13  Bruno Haible  <bruno@clisp.org>

	Improve support for OpenBSD/PowerPC64.
	Based on a patch by Christian Weisgerber <naddy@mips.inka.de> at
	<https://lists.gnu.org/archive/html/bug-gnulib/2021-09/msg00045.html>.
	* src/fault-openbsd-powerpc.h (SIGSEGV_FAULT_STACKPOINTER): Define
	differently in 64-bit mode.
	* NEWS: Mention it.

2021-08-07  Bruno Haible  <bruno@clisp.org>

	tests: Silence some GCC warnings.
	Patch by Paul Eggert.
	* tests/test-catch-segv1.c, tests/test-catch-stackoverflow1.c,
	tests/test-catch-stackoverflow2.c: Declare some functions and variables
	static, to pacify GCC when warning about external functions missing
	declarations.

2021-06-09  Bruno Haible  <bruno@clisp.org>

	tests: Hide a null pointer from the compiler's optimizations.
	Patch by Paul Eggert.
	* tests/test-catch-stackoverflow2.c (null_pointer_to_volatile_int): New
	variable.
	(main): Use it.

2021-06-06  Bruno Haible  <bruno@clisp.org>

	Avoid a gcc warning "declaration of 'sig' shadows a parameter".
	Reported by Dmitry V. Levin <ldv@altlinux.org> in
	<https://lists.gnu.org/archive/html/bug-gnulib/2021-06/msg00018.html>.
	* src/handler-unix.c (sigsegv_handler): Use a different local variable
	name than 'sig'.

2021-05-29  Bruno Haible  <bruno@clisp.org>

	Fix typo in comment.
	* src/stackvma-procfs.c: Fix typo in comment, found by Paul Eggert.
	* src/stackvma-vma-iter.c: Likewise.
	* src/stackvma-beos.c: Likewise.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Avoid compilation error with glibc >= 2.34.
	* lib/sigsegv.h.in (SIGSTKSZ): On glibc systems, redefine to a suitable
	constant.
	* m4/sigaltstack-longjmp.m4 (SV_TRY_LEAVE_HANDLER_LONGJMP): Likewise.
	* m4/sigaltstack-siglongjmp.m4 (SV_TRY_LEAVE_HANDLER_SIGLONGJMP):
	Likewise.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	On Cygwin, use the sigaltstack-based approach by default.
	* src/fault-cygwin.h: New file.
	* src/fault-cygwin-i386.h: New file.
	* src/stackvma-cygwin.c: New file, based on src/stackvma-netbsd.c.
	* src/stackvma-vma-iter.c: Enable /proc-reading code also on Cygwin.
	* src/Makefile.am (noinst_HEADERS): Add fault-cygwin.h,
	fault-cygwin-i386.h.
	(EXTRA_DIST): Add stackvma-cygwin.c.
	* configure.ac: Use fault-cygwin-i386.h instead of
	fault-posix-ucontext.h. Add --enable-support-old-cygwin option. When it
	is not specified, use handler-unix.c and stackvma-cygwin.c
	* NEWS: Mention that 64-bit Cygwin is now supported.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Simplify: Use the POSIX API instead of Mach API on newer macOS versions.
	* src/fault-macos.h: New file.
	* src/fault-macos-arm64.h: New file.
	* src/fault-macos-i386.h: New file.
	* src/fault-macos-powerpc.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add them.
	* configure.ac (CFG_FAULT): On macOS 10.13 or newer, use fault-macos*.h
	and handler-unix.c, instead of handler-macos.c.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Rename fault-macos-i386.h to fault-macos-i386-old.h.
	* src/fault-macos-i386-old.h: Renamed from src/fault-macos-i386.h.
	* configure.ac (CFG_FAULT): Update.
	* src/Makefile.am (noinst_HEADERS): Likewise.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Simplify inclusion of stackvma-mincore.c.
	* src/stackvma-mincore.c (mincore_get_vma): Renamed from
	sigsegv_get_vma.
	* src/stackvma-linux.c: No need to define 'sigsegv_get_vma' and 'STATIC'
	macros before including stackvma-mincore.c.
	* src/stackvma-freebsd.c: Likewise.
	* src/stackvma-netbsd.c: Likewise.
	* src/stackvma-mquery.c: Likewise.
	* src/stackvma-procfs.c: Likewise.
	* src/stackvma-aix.c: New file.
	* src/Makefile.am (EXTRA_DIST): Add it.
	* configure.ac (CFG_STACKVMA): Set to stackvma-aix.c instead of
	stackvma-mincore.c.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Drop supporting outdated way of building on native Windows.
	* autogen.sh: Don't create config.h.msvc, src/sigsegv.h.msvc.
	* Makefile.msvc: Remove file.
	* Makefile.am (EXTRA_DIST): Remove Makefile.msvc, config.h.msvc.
	(config.h.msvc): Remove rule.
	* src/Makefile.am (EXTRA_DIST): Remove sigsegv.h.msvc.
	(sigsegv.h.msvc): Remove rule.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Moved sigaltstack.m4 and stack-direction.m4 to gnulib.
	* m4/sigaltstack.m4: Remove file.
	* m4/stack-direction.m4: Remove file.
	* autogen.sh: Copy the two files from gnulib.

2021-05-16  Bruno Haible  <bruno@clisp.org>

	Avoid compiler warning.
	* src/stackvma-netbsd.c (sigsegv_get_vma): Avoid unreachable statement.

2021-05-15  Bruno Haible  <bruno@clisp.org>

	Avoid warning on systems with musl libc.
	* src/stackvma-mincore.c (pageinfo_t): Treat all libcs on Linux like
	glibc.

2021-05-15  Bruno Haible  <bruno@clisp.org>

	Rename test files.
	* tests/test-catch-segv1.c: Renamed from tests/sigsegv1.c.
	* tests/test-catch-segv2.c: Renamed from tests/sigsegv3.c.
	* tests/test-catch-stackoverflow1.c: Renamed from
	tests/stackoverflow1.c.
	* tests/test-catch-stackoverflow2.c: Renamed from
	tests/stackoverflow2.c.
	* tests/test-segv-dispatcher1.c: Renamed from tests/sigsegv2.c.
	* tests/altstack-util.h: Renamed from tests/altstack.h.
	* tests/mmap-anon-util.h: Renamed from tests/mmaputil.h.

2021-05-15  Bruno Haible  <bruno@clisp.org>

	Improve comments.
	* src/handler-unix.c: Mention Solaris 11 stack_violation().
	* src/fault.h: SIGSEGV_FAULT_ADDRESS is not mandatory.
	* src/stackvma-mquery.c: Update.

2021-05-15  Bruno Haible  <bruno@clisp.org>

	Fix possible warnings on AIX.
	* src/stackvma-mincore.c (MINCORE_ADDR_T): Test _AIX, not UNIX_AIX.

2021-05-15  Bruno Haible  <bruno@clisp.org>

	Improve support for Solaris OpenIndiana.
	* configure.ac: Make the test for <sys/procfs.h> succeed on Solaris
	OpenIndiana even with -D_XOPEN_SOURCE=700.
	* src/stackvma-procfs.c: Define __EXTENSIONS__, for Solaris OpenIndiana.
	* NEWS: Mention the change.

2021-02-28  Bruno Haible  <bruno@clisp.org>

	Update DEPENDENCIES.
	* DEPENDENCIES: List the normal dependencies of a package with an
	Autoconf-generated configure file.

2021-02-20  Bruno Haible  <bruno@clisp.org>

	Support creating shared libraries on MidnightBSD.
	Patch from <https://savannah.gnu.org/patch/?10007>.
	* m4/libtool.m4: Treat MidnightBSD like FreeBSD.
	* build-aux/ltmain.sh: Likewise.
	* configure.ac (CFG_SIGNALS): Likewise.
	* NEWS: Mention it.

2021-02-20  Bruno Haible  <bruno@clisp.org>

	Switch to autoconf 2.71.
	* autogen.sh: Update comment.

2021-01-16  Bruno Haible  <bruno@clisp.org>

	Prepare for version 2.13.
	* configure.ac (AC_INIT): Bump version to 2.13.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:6:0.
	* NEWS: Add entries.

2021-01-16  Bruno Haible  <bruno@clisp.org>

	Add support for catching stack overflow on 64-bit Haiku.
	* src/stackvma-beos.c (vma_iterate): Adapt to changed signature of
	get_next_area_info.

2021-01-16  Bruno Haible  <bruno@clisp.org>

	Fix compilation errors and warnings on Solaris OpenIndiana.
	* src/handler-unix.c: Define __EXTENSIONS__.
	* src/stackvma-mincore.c: Likewise.

2021-01-16  Bruno Haible  <bruno@clisp.org>

	Override value of SIGSTKSZ on 64-bit Solaris/x86_64.
	* src/sigsegv.h.in: On 64-bit Solaris/x86_64, set SIGSTKSZ to 16 KB.

2021-01-16  Bruno Haible  <bruno@clisp.org>

	Add support for catching stack overflow on Solaris 11/SPARC.
	* src/fault-solaris11-sparc.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* configure.ac (CFG_FAULT): Choose it on Solaris 11/SPARC.

2021-01-11  Bruno Haible  <bruno@clisp.org>

	Find stack detection reliably, even with GCC >= 10.
	Reported by Andreas Schwab <schwab@gnu.org> in
	<https://savannah.gnu.org/bugs/?59714>.
	* m4/stack-direction.m4 (SV_STACK_DIRECTION): In the test program, use
	the find_stack_direction function from Autoconf 2.70 (with parameters
	that depend on argc, and with a recursion depth 20 instead of 2).

2021-01-11  Bruno Haible  <bruno@clisp.org>

	Switch to automake 1.16.3.
	* autogen.sh: Update comment.

2020-12-08  Bruno Haible  <bruno@clisp.org>

	Switch to autoconf 2.70.
	* autogen.sh: Update comment.

2020-12-04  Bruno Haible  <bruno@clisp.org>

	Improve support for FreeBSD/arm and FreeBSD/arm64.
	* src/fault-freebsd-arm.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* configure.ac (CFG_FAULT): Use this file on FreeBSD/arm and
	FreeBSD/arm64.

2020-12-04  Bruno Haible  <bruno@clisp.org>

	Improve support for FreeBSD/x86 and FreeBSD/x86_64.
	* src/fault-freebsd-i386.h: Add alternative code that uses SA_SIGINFO.

2020-12-04  Bruno Haible  <bruno@clisp.org>

	Add support for macOS on arm64.
	Helped by Hill Ma <maahiuzeon@gmail.com> in
	<https://savannah.gnu.org/bugs/?59539>.
	* src/handler-macos.c (catch_exception_raise): Align the stack also on
	arm64 CPUs.

2020-12-02  Bruno Haible  <bruno@clisp.org>

	Improve porting documentation.
	* PORTING: Add some more porting tips.

2020-12-01  Bruno Haible  <bruno@clisp.org>

	Add configure option --disable-stackvma, for testing the fault-* files.
	* configure.ac: Add option --enable/disable-stackvma. Set CFG_STACKVMA
	to 'stackvma-none.c' if --disable-stackvma was specified.

2020-12-01  Bruno Haible  <bruno@clisp.org>

	Use canonical test for arm64 CPU.
	This is for consistency with gnulib and with predef.sourceforge.net.
	* configure.ac: Test __aarch64__, not __arm64__.
	* src/handler-macos.c: Likewise.
	* src/machfault-macos.h: Likewise.
	* src/stackvma-mach.c: Likewise.

2020-11-29  Hill Ma  <maahiuzeon@gmail.com>

	mach: macos: preliminary support for darwin arm64.
	* configure.ac: Treat macos/arm64 like the other macos platforms.
	* src/handler-macos.c (sigsegv_leave_handler): On arm64, pass arguments
	in registers.
	* src/machfault-macos.h (SIGSEGV_*): Define appropriately for arm64.
	* src/stackvma-mach.c (sigsegv_get_vma): On arm64, use 64-bit type
	definitions.

2020-10-04  Bruno Haible  <bruno@clisp.org>

	build: Fix warnings from Autoconf 2.69c.
	* configure.ac: Move AM_INIT_AUTOMAKE arguments to AC_INIT. Use
	AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER. Use AC_LINK_IFELSE.
	Update AC_OUTPUT invocation.

2020-09-06  Bruno Haible  <bruno@clisp.org>

	build: Update after gnulib changed.
	* configure.ac (AC_PREREQ): Bump minimum Autoconf version to 2.64.

2019-09-01  Bruno Haible  <bruno@clisp.org>

	build: Add support for shallow-cloning of subdirectories.
	* gitsub.sh (func_usage): Document allowed git options with 'git pull'.
	(func_pull): Accept GIT_OPTIONS argument.
	(pull): Parse git options before complaining about too many arguments.
	Pass the git options to func_pull.

2019-08-07  Nylon Chen  <nylon7@andestech.com>

	Improve support for Linux/NDS32.
	* src/fault-linux-nds32.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* configure.ac (CFG_FAULT): Use this file on Linux/NDS32.
	* m4/stack-direction.m4: Add stack direction for NDS32.

2019-05-11  Bruno Haible  <bruno@clisp.org>

	Update bug reporting instructions.
	* README: Tell users to report bugs in the bug tracker or by email.

2019-04-01  Bruno Haible  <bruno@clisp.org>

	build: Separate git operations from build operations.
	* gitsub.sh: New file, from gnulib.
	* .gitmodules: New file.
	* autogen.sh: Remove all git operations. Look at GNULIB_SRCDIR
	environment variable. Ignore the GNULIB_TOOL environment variable.
	* HACKING: New file.
	* DEPENDENCIES: New file.

2019-01-28  Bruno Haible  <bruno@clisp.org>

	Improve support for Android.
	* src/stackvma-mincore.c (pageinfo_t): Set to 'unsigned char' on
	Android.
	* src/stackvma-rofile.c: Treat Android like Linux.
	* src/stackvma-vma-iter.c: Likewise.

2018-11-13  Thomas Petazzoni <thomas.petazzoni@bootlin.com>

	Fix cross-compilation for RISC-V.
	* m4/stack-direction.m4: Add stack direction for RISC-V.

2018-10-24  Bruno Haible  <bruno@clisp.org>

	Update after gnulib changed.
	* configure.ac (AC_PREREQ): Require Autoconf >= 2.63.

2018-03-15  Bruno Haible  <bruno@clisp.org>

	Improve support for Linux/RISC-V.
	* src/fault-linux-riscv64.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* configure.ac (CFG_FAULT): Use this file on Linux/riscv64.

2018-02-18  Bruno Haible  <bruno@clisp.org>

	Avoid "warning: command substitution: ignored null byte in input".
	Reported by Nelson Beebe.
	* m4/bold.m4 (RSE_BOLD): For vt100, remove trailing NUL bytes. Only
	physical terminals need these NULs; physical terminals are not in use
	any more nowadays.

2018-02-03  Bruno Haible  <bruno@clisp.org>

	Fix compilation error on Solaris 11 Dyson in 64-bit mode.
	* src/fault-solaris-i386.h (SIGSEGV_FAULT_STACKPOINTER): In 64-bit mode,
	use the 64-bit stack pointer.

2018-01-27  Bruno Haible  <bruno@clisp.org>

	Rename some file.
	* INSTALL.windows: Renamed from README.windows.
	* Makefile.am (EXTRA_DIST): Update.

2018-01-16  Bruno Haible  <bruno@clisp.org>

	Prepare for new release.
	* configure.ac: Bump version number to 2.12.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:5:0.
	* NEWS: Mention some more improvements.

2018-01-16  Bruno Haible  <bruno@clisp.org>

	Correct distinction between stack overflow and other fault on AIX.
	* src/stackvma-mincore.c (MINCORE_ADDR_T): New type.
	(is_mapped, mapped_range_start, mapped_range_end): Use it.
	* configure.ac: Don't use stackvma-procfs.c on AIX.
	* NEWS: Mention the improvement.

2017-10-29  Bruno Haible  <bruno@clisp.org>

	Improve Haiku support.
	* src/fault-haiku.h: New file.
	* src/fault-haiku-i386.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add them.
	* configure.ac: On Haiku, use fault-haiku-i386.h instead of just
	fault-posix.h, and use stackvma-beos.c instead of stackvma-none.c.
	* NEWS: Mention the improvement.

2017-10-09  Bruno Haible  <bruno@clisp.org>

	Avoid build failures caused by parallel make.
	* Makefile.am (GNUMAKEFLAGS): New variable.

2017-10-08  Bruno Haible  <bruno@clisp.org>

	Make VMA detection more reliable on FreeBSD.
	* src/stackvma-vma-iter.c (vma_iterate_proc): Extracted from vma_iterate.
	(vma_iterate_bsd): New function.
	(vma_iterate): Call both, in the appropriate order.
	* src/stackvma-freebsd.c: Include <sys/user.h> and <sys/sysctl.h>.

2017-10-08  Bruno Haible  <bruno@clisp.org>

	Fix broken VMA detection on NetBSD (regression from 2017-10-07).
	* src/stackvma-rofile.c (MIN_LEFTOVER): Define to 1, not 0.

2017-10-07  Bruno Haible  <bruno@clisp.org>

	Fix broken VMA detection on Linux (regression from 2017-09-28).
	* src/stackvma-rofile.c (MIN_LEFTOVER): New macro.
	(STACK_ALLOCATED_BUFFER_SIZE): New macro.
	(rof_open): On Linux, do multiple read() calls and make sure
	MIN_LEFTOVER bytes are left when read() returns.

2017-10-06  Bruno Haible  <bruno@clisp.org>

	Fix definition of SIGSEGV_FAULT_ADDRESS_ALIGNMENT: don't break clisp.
	Existing versions of clisp expect that SIGSEGV_FAULT_ADDRESS_ALIGNMENT
	is a constant expression. We cannot include a variable reference or
	a function call in it.
	* src/sigsegv.h.in (SIGSEGV_FAULT_ADDRESS_ALIGNMENT): Define as a
	constant expression.
	* tests/sigsegv1.c (SIGSEGV_FAULT_ADDRESS_ROUNDOFF_BITS): Define based
	on SIGSEGV_FAULT_ADDRESS_ALIGNMENT.
	(handler): Use it.
	* tests/sigsegv3.c: Likewise.

2017-10-05  Bruno Haible  <bruno@clisp.org>

	Fix support for NetBSD/sparc on SPARC64 machines.
	* src/sigsegv.h.in (SIGSEGV_FAULT_ADDRESS_ALIGNMENT) [NetBSD/sparc]:
	Use getpagesize().
	* m4/fault.m4 (SV_TRY_FAULT): On NetBSD/sparc, use getpagesize().

2017-10-03  Bruno Haible  <bruno@clisp.org>

	Add support for NetBSD/sparc.
	* src/sigsegv.h.in (SIGSEGV_FAULT_ADDRESS_ALIGNMENT) [NetBSD/sparc]:
	Define to 0x1000.
	* m4/fault.m4 (SV_TRY_FAULT): On NetBSD/sparc, set
	SIGSEGV_FAULT_ADDRESS_ROUNDOFF_BITS like on Linux/s390.

2017-10-03  Bruno Haible  <bruno@clisp.org>

	Fix a message.
	* tests/sigsegv3.c (handler): Fix message.

2017-10-01  Bruno Haible  <bruno@clisp.org>

	Comment.
	* configure.ac: Add a comment about GNU/Hurd.

2017-09-29  Bruno Haible  <bruno@clisp.org>

	Make stack VMA detection work on GNU/kFreeBSD even without mincore.
	It needs to use the vma_iterate for Linux combined with the callback
	for FreeBSD.
	* src/stackvma-vma-iter.c: New file, extracted from
	src/stackvma-linux.c, src/stackvma-freebsd.c, src/stackvma-netbsd.c.
	* src/stackvma-linux.c: Include stackvma-vma-iter.c.
	(vma_iterate): Moved to src/stackvma-vma-iter.c.
	* src/stackvma-freebsd.c: Likewise.
	* src/stackvma-netbsd.c: Likewise.
	* src/Makefile.am (EXTRA_DIST): Add stackvma-vma-iter.c.
	* configure.ac (CFG_STACKVMA): Treat GNU/kFreeBSD like FreeBSD.

2017-09-28  Bruno Haible  <bruno@clisp.org>

	Make stack VMA detection code more maintainable.
	* src/stackvma-linux.c (struct callback_locals): New type.
	(callback): New function.
	(vma_iterate): New function, extracted from gnulib's lib/vma-iter.c.
	(sigsegv_get_vma): Use vma_iterate.
	* src/stackvma-freebsd.c: Likewise.
	* src/stackvma-netbsd.c: Likewise.
	* src/stackvma-beos.c: Likewise.
	* src/stackvma-procfs.c: Likewise.
	(sigsegv_get_vma_fallback): Inline and remove function.

2017-09-28  Bruno Haible  <bruno@clisp.org>

	Make stack VMA detection more reliable on Linux, FreeBSD, NetBSD.
	* src/stackvma-rofile.c (struct rofile, rof_open, rof_peekchar,
	rof_close): Read the entire file into memory in a single system call.
	* src/stackvma-linux.c (sigsegv_get_vma): Update.
	* src/stackvma-freebsd.c (sigsegv_get_vma): Likewise.
	* src/stackvma-netbsd.c (sigsegv_get_vma): Likewise.

2017-07-15  Bruno Haible  <bruno@clisp.org>

	Get rid of autom4te.cache directory (left over from autoconf, automake).
	* autogen.sh: Remove autom4te.cache directory.

2017-03-10  Bruno Haible  <bruno@clisp.org>

	Fix a comment.
	* src/stackvma-mincore.c: Update comment regarding Mac OS X.

2017-03-04  Bruno Haible  <bruno@clisp.org>

	Avoid use of glibc-internal macros.
	* src/fault-linux-arm.h: Use compiler-defined preprocessor macros,
	rather than __WORDSIZE.
	* src/fault-linux-powerpc.h: Likewise.
	* src/fault-linux-sparc.h: Likewise.
	* src/fault-linux-sparc-old.h: Likewise.
	Reported by Andreas Schwab <schwab@linux-m68k.org>.

2017-02-21  Bruno Haible  <bruno@clisp.org>

	Improve Hurd/i386 support.
	* src/fault-hurd-i386.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* configure.ac: Use it on Hurd/i386.
	* NEWS: Document the improvement.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Prepare for new release.
	* configure.ac: Bump version number to 2.11.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:4:0.
	* NEWS: Mention the <stdint.h> requirement.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Improve cross-compilation guesses.
	* configure.ac: Include results on kFreeBSD9.0.
	Treat FreeBSD >= 10 like FreeBSD 4 to 9.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	On Solaris, prefer the newer /proc fs API to the older (deprecated) one.
	Reported by Roger Faulkner in
	https://savannah.gnu.org/bugs/?42187 .
	* configure.ac: Accept <sys/procfs.h> even if it does no longer define
	PIOCNMAP and PIOCMAP.
	* src/stackvma-procfs.c: Define _STRUCTURED_PROC before including
	<sys/procfs.h>.
	(sigsegv_get_vma_fallback): New function.
	(sigsegv_get_vma): If PIOCNMAP and PIOCMAP are no longer defined, use
	the newer /proc interface.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Override value of SIGSTKSZ on 64-bit AIX and on HP-UX.
	* src/sigsegv.h.in: On 64-bit AIX, set SIGSTKSZ to 8 KB.
	On HP-UX, set SIGSTKSZ to 16 KB.
	* NEWS: Document the improvement.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Improve Linux/aarch64 support.
	* src/fault-linux-arm.h: Add code for aarch64.
	* configure.ac: For aarch64 platforms, use fault-linux-arm.h.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Make stack overflow detection work on Linux/sparc.
	* src/fault-linux-sparc.h (SIGSEGV_FAULT_STACKPOINTER): Fix: ucp is a
	'struct sigcontext *', not an 'ucontext_t *'.
	(BOGUS_FAULT_ADDRESS_UPON_STACK_OVERFLOW): New macro.
	* src/handler-unix.c (sigsegv_handler): Handle the
	BOGUS_FAULT_ADDRESS_UPON_STACK_OVERFLOW case.
	Handle errno consistently.
	* NEWS: Document the improvement.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Fix glibc version determination.
	* configure.ac (glibcversion): Use postprocessing that works also with
	gcc 5 or newer.

2017-02-18  Bruno Haible  <bruno@clisp.org>

	Update comments.
	* src/fault-linux-*.h: Update references to the glibc sources.

2017-01-10  Bruno Haible  <bruno@clisp.org>

	Update README.
	* README: Prefer https URLs over http or ftp URLs.

2016-12-04  Bruno Haible  <bruno@clisp.org>

	Always use the newest released copies of files brought in from Automake.
	* autogen.sh: Make sure to get new versions of files brought in by
	automake.

2016-11-27  Bruno Haible  <bruno@clisp.org>

	Fix compilation error on Cygwin, regression from 2016-10-22.
	* src/sigsegv.h.in: Include <stddef.h>.

2016-11-23  Bruno Haible  <bruno@clisp.org>

	Update installation instructions for Windows.
	* README.windows: Assume a 64-bit Windows. Explain both 32-bit and
	64-bit builds. Revamp instructions for the MS Visual C/C++ tool chain
	and for Cygwin.

2016-11-23  Bruno Haible  <bruno@clisp.org>

	Drop the nickname "woe32".
	* README.windows: Renamed from README.woe32.
	* README: Update.
	* Makefile.am (EXTRA_DIST): Update.

2016-10-22  Bruno Haible  <bruno@clisp.org>

	Support for platforms with 32-bit 'long' and 64-bit pointers.
	* src/sigsegv.h.in: Use 'size_t' instead of 'unsigned long'.
	* src/stackvma.h: Include <stdint.h>. Use 'uintptr_t' instead of
	'unsigned long'.
	* src/stackvma-*.c: Use 'uintptr_t' instead of 'unsigned long'.
	* src/dispatcher.c: Include <stdint.h>. Use 'uintptr_t' or 'size_t'
	instead of 'unsigned long'.
	* src/handler-*.c: Likewise.
	* tests/mmaputil.h: Use 'uintptr_t' or 'size_t' instead of
	'unsigned long'.
	* tests/sigsegv1.c: Include <stdint.h>. Use 'uintptr_t' instead of
	'unsigned long'.
	* tests/sigsegv2.c: Likewise.
	* tests/sigsegv3.c: Likewise.
	* tests/stackoverflow2.c: Likewise.
	Reported by Nate Sigrist in <https://savannah.gnu.org/bugs/?37604>.

2016-10-22  Bruno Haible  <bruno@clisp.org>

	Switch to libtool 2.4.6.
	* m4/libtool.m4: Update from libtool-2.4.6.
	* m4/ltoptions.m4: Likewise.
	* m4/ltversion.m4: Likewise.
	* build-aux/ltmain.sh: Likewise.

2016-10-22  Bruno Haible  <bruno@clisp.org>

	Switch to automake 1.15.
	* autogen.sh: Update comment.
	* src/Makefile.am (AM_CPPFLAGS): Renamed from INCLUDES.
	* tests/Makefile.am (AM_CPPFLAGS): Renamed from INCLUDES.
	* build-aux/.gitignore: Ignore more files.

2015-12-03  Waldemar Brodkorb  <wbx@uclibc-ng.org>

	* src/fault-linux-sparc.h (SIGSEGV_FAULT_STACKPOINTER)
	<__WORDSIZE == 64>: New macro.

2014-12-30  Simon Dawson  <spdawson@gmail.com>  (tiny change)
            Will Newton  <will.newton@linaro.org>  (tiny change)
            Spenser Gilliland  <spenser@gillilanding.com>  (tiny change)
            Thomas Petazzoni  <thomas.petazzoni@free-electrons.com>  (tiny change)

	* m4/stack-direction.m4: Add stack direction info for various
	processors.

2012-09-09  Bruno Haible  <bruno@clisp.org>

	Support for OpenBSD 5.2 on m88k and sh processors.
	* src/fault-openbsd-m88k.h: Update for OpenBSD 5.2.
	* src/fault-openbsd-sh.h: Likewise.
	Reported by Brad Smith <brad@comstyle.com>
	at <https://savannah.gnu.org/bugs/?37288>.

2012-04-28  Bruno Haible  <bruno@clisp.org>

	Allow use of autoconf-2.69 and automake-1.12.
	* autogen.sh: Update comments.

2011-10-18  Bruno Haible  <bruno@clisp.org>

	* m4/libtool.m4: Update from libtool-2.4.2.
	* m4/ltoptions.m4: Likewise.
	* m4/ltversion.m4: Likewise.
	* build-aux/ltmain.sh: Likewise.

2011-09-30  Bruno Haible  <bruno@clisp.org>

	Update known platforms list.
	* configure.ac (POSIX): Add Linux/SPARC to the known platforms.

2011-09-30  Bruno Haible  <bruno@clisp.org>

	Work around an mprotect(...,PROT_READ) bug on Linux 2.6.26/SPARC64.
	* m4/fault.m4 (SV_TRY_FAULT): On Linux/SPARC, use PROT_NONE instead of
	PROT_READ.
	* tests/sigsegv1.c (main): Likewise.
	* tests/sigsegv2.c (main): Likewise.
	* tests/sigsegv3.c (main): Likewise.
	* tests/stackoverflow2.c (main): Likewise.

2011-09-10  Bruno Haible  <bruno@clisp.org>

	Adhere to Win32 API.
	* src/handler-win32.c (main_exception_filter): Use
	EXCEPTION_STACK_OVERFLOW, not STATUS_STACK_OVERFLOW.

2011-05-03  Eric Blake  <eblake@redhat.com>

	Avoid polluting cygwin namespace.
	* configure.ac (FAULT_CONTEXT_INCLUDE): Avoid including
	<windows.h> on cygwin.
	Reported by Corinna Vinschen, via Aharon Robbins.

2011-04-03  Bruno Haible  <bruno@clisp.org>

	* Version 2.10 released.

2011-04-03  Bruno Haible  <bruno@clisp.org>

	Don't ask for success reports on MacOS X any more.
	* Makefile.am (check-next): No longer ask for success reports on
	MacOS X.

2011-04-03  Bruno Haible  <bruno@clisp.org>

	Bump version number.
	* configure.ac: Bump version number to 2.10.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise. Recommend ftpmirror.gnu.org in the first place.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:3:0.

2011-03-13  Bruno Haible  <bruno@clisp.org>

	Support for Linux/S390.
	* m4/fault.m4 (SV_TRY_FAULT): Define
	SIGSEGV_FAULT_ADDRESS_ROUNDOFF_BITS. On Linux/S390 systems, expect a
	page-aligned fault address.
	* src/sigsegv.h.in (SIGSEGV_FAULT_ADDRESS_ROUNDOFF_BITS): New macro.
	(sigsegv_register): Mention constraint about address and len arguments.
	* tests/sigsegv1.c (handler): On Linux/S390 systems, expect a
	page-aligned fault address.
	* tests/sigsegv3.c (handler): Likewise.
	* tests/sigsegv2.c: Add comment.
	* NEWS: Document the change.
	Reported by Christoph Egger <christoph@debian.org>.

2011-01-29  Bruno Haible  <bruno@clisp.org>

	Improve OpenBSD support: Allow faster VMA determination.
	* configure.ac: Check also for mquery.
	(CFG_STACKVMA): Set to stackvma-mquery.c if mquery() exists.
	* src/stackvma-mquery.c: New file.
	* src/Makefile.am (EXTRA_DIST): Add it.
	* NEWS: Document the improvement.

2011-01-23  Bruno Haible  <bruno@clisp.org>

	Improve NetBSD support: Allow VMA determination with fewer system calls.
	* src/stackvma-netbsd.c: New file, based on src/stackvma-freebsd.c.
	* src/stackvma-freebsd.c: Add comment.
	* src/Makefile.am (EXTRA_DIST): Add stackvma-netbsd.c.
	* configure.ac (CFG_STACKVMA): Set to stackvma-netbsd.c on NetBSD.

2010-11-06  Bruno Haible  <bruno@clisp.org>

	* Version 2.9 released.

2010-11-06  Bruno Haible  <bruno@clisp.org>

	Bump version number.
	* configure.ac: Bump version number to 2.9.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:2:0.

2010-11-06  Bruno Haible  <bruno@clisp.org>

	Start to use gnulib.
	* autogen.sh: New option --skip-gnulib. Fetch gnulib if GNULIB_TOOL is
	not set. Import m4/relocatable-lib.m4.
	* configure.ac: Invoke gl_RELOCATABLE_NOP instead of
	AC_RELOCATABLE_NOP.
	* m4/relocatable.m4: Remove file.

2010-11-06  Bruno Haible  <bruno@clisp.org>

	Modernize autoconf macro style.
	* configure.ac: Surround all macro arguments in brackets.
	* m4/getpagesize.m4: Likewise.
	* m4/mmap-anon.m4: Likewise.
	* m4/sigaltstack.m4: Likewise.

2010-11-06  Bruno Haible  <bruno@clisp.org>

	Don't list files in .gitignore that are absent after "make distclean".
	* .gitignore: Complete the list of files that are created by "make" and
	removed by "make distclean". But comment them out, since they belong in
	.git/info/exclude. Also remove /autom4te.cache because "make distclean"
	does not remove it.

2010-10-25  Eric Blake  <eblake@redhat.com>

	Fix powerpc64-unknown-linux-gnu implementation.
	* src/stackvma-rofile.c (struct rofile): Reduce size, to avoid
	overflowing alternate stack when compiled under -O2.
	* src/stackvma-mincore.c (mapped_range_start, mapped_range_end):
	Likewise.
	* NEWS: Document the fix.

2010-10-24  Eric Blake  <eblake@redhat.com>
            Bruno Haible  <bruno@clisp.org>

	Enhance the tests to detect overflow of the alternate stack.
	* tests/altstack.h: New file.
	* tests/Makefile.am (EXTRA_DIST): Add altstack.h.
	* configure.ac: Invoke AC_TYPE_UINTPTR_T.
	* tests/stackoverflow1.c: Include altstack.h.
	(SIGSTKSZ): Remove definition.
	(mystack): Remove definition.
	(main): Invoke prepare_alternate_stack and
	check_alternate_stack_no_overflow.
	* tests/stackoverflow2.c: Likewise.
	* tests/efault2.c: Likewise.
	* tests/efault3.c: Likewise.

2010-10-21  Eric Blake  <eblake@redhat.com>

	* .gitignore: Ignore more files.

2010-09-23  Bruno Haible  <bruno@clisp.org>

	* m4/libtool.m4: Update from libtool-2.4.
	* m4/ltversion.m4: Likewise.
	* build-aux/ltmain.sh: Likewise.

2010-06-04  Bruno Haible  <bruno@clisp.org>

	* m4/libtool.m4: Update from libtool-2.2.8.
	* m4/ltoptions.m4: Likewise.
	* m4/ltversion.m4: Likewise.
	* m4/lt~obsolete.m4: Likewise.
	* build-aux/ltmain.sh: Likewise.

2010-04-06  Eric Blake  <eblake@redhat.com>

	* AUTHORS: Add myself.

2010-03-30  Bruno Haible  <bruno@clisp.org>

	* README.woe32: Update for Cygwin 1.7.x.

2010-02-18  Bruno Haible  <bruno@clisp.org>

	Fix 64-bit builds with --enable-shared on MacOS X.
	* src/stackvma-mach.c (sigsegv_get_vma): On 64-bit MacOS X, use
	vm_region_64 instead of vm_region.
	* NEWS: Mention the fix.
	Reported by Rudá Moura <ruda@rudix.org>.

2010-01-31  Bruno Haible  <bruno@clisp.org>

	* README: Add more homepage links. Add bug report address.

2010-01-07  Bruno Haible  <bruno@clisp.org>

	Improve support for OpenBSD.
	* src/fault-openbsd-i386.h (SIGSEGV_FAULT_STACKPOINTER): Define
	differently in 64-bit mode.
	* src/fault-openbsd-alpha.h: New file.
	* src/fault-openbsd-arm.h: New file.
	* src/fault-openbsd-hppa.h: New file.
	* src/fault-openbsd-m68k.h: New file.
	* src/fault-openbsd-m88k.h: New file.
	* src/fault-openbsd-mips.h: New file.
	* src/fault-openbsd-powerpc.h: New file.
	* src/fault-openbsd-sh.h: New file.
	* src/fault-openbsd-sparc.h: New file.
	* src/fault-openbsd-vax.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add the new files.
	* configure.ac (CFG_FAULT): Use these files on OpenBSD.
	Reported by Paul Irofti <bulibuta@sdf.lonestar.org>.

2009-12-11  Bruno Haible  <bruno@clisp.org>

	* Version 2.8 released.

2009-12-11  Bruno Haible  <bruno@clisp.org>

	* configure.ac: Bump version number to 2.8.
	* src/sigsegv.h.in (LIBSIGSEGV_VERSION): Likewise.
	* README: Likewise.
	* src/Makefile.am (LIBSIGSEGV_VERSION_INFO): Bump to 2:1:0.

2009-12-11  Bruno Haible  <bruno@clisp.org>

	Remove configuration option --enable-EFAULT.
	* configure.ac (enable_EFAULT): Set to yes on Cygwin, to no otherwise.
	* README, NEWS: Don't mention --enable-EFAULT.
	Reported by Eric Blake.

2009-12-11  Bruno Haible  <bruno@clisp.org>

	New test for Cygwin.
	* tests/cygwin1.c: New file, based on code by Eric Blake.
	* tests/Makefile.am (TESTS, noinst_PROGRAMS): Add it.
	* configure.ac (CYGWIN): New conditional.

2009-11-21  Eric Blake  <ebb9@byu.net>
            Bruno Haible  <bruno@clisp.org>

	New configuration option --enable-EFAULT.
	* configure.ac: Accept option --enable-EFAULT. Set and define
	ENABLE_EFAULT. Invoke SV_SYSCALLS_EFAULT.
	For Cygwin, use the CFG_FAULT that was already determined, or
	fault-cygwin-old.h if none. In the latter case, define
	OLD_CYGWIN_WORKAROUND.
	* m4/efault.m4: New file.
	* src/handler-win32.c [CYGWIN && ENABLE_EFAULT]: Include
	handler-unix.c.
	(MIXING_UNIX_SIGSEGV_AND_WIN32_STACKOVERFLOW_HANDLING): New macro.
	(last_seen_fault_address): New variable.
	(main_exception_filter): Store the fault address for the Unix signal
	handler.
	(sigsegv_install_handler): Redefine.
	(sigsegv_deinstall_handler, sigsegv_leave_handler): Don't define.
	* src/handler-unix.c (stackoverflow_install_handler,
	stackoverflow_deinstall_handler): Don't define if
	MIXING_UNIX_SIGSEGV_AND_WIN32_STACKOVERFLOW_HANDLING is set.
	* src/fault-cygwin-old.h: New file.
	* src/Makefile.am (noinst_HEADERS): Add it.
	* tests/efault1.c: New file.
	* tests/efault2.c: New file.
	* tests/efault3.c: New file.
	* tests/Makefile.am (TESTS, noinst_PROGRAMS): Add efault1, efault2,
	efault3.
	* README, NEWS: Mention the new option.

2009-11-21  Bruno Haible  <bruno@clisp.org>

	Support for Cygwin 1.7.
	* configure.ac: For Cygwin and mingw, choose FAULT_CONTEXT in a way
	that is consistent with CFD_HANDLER.
	Reported by Eric Blake <ebb9@byu.net>

2009-11-21  Bruno Haible  <bruno@clisp.org>

	* configure.ac: Add comments and structure.

2009-11-21  Bruno Haible  <bruno@clisp.org>

	Reduce size of configure.ac.
	* m4/stack-direction.m4: New file, extracted from configure.ac.
	* configure.ac: Simply invoke SV_STACK_DIRECTION.

2009-11-21  Eric Blake  <ebb9@byu.net>
            Bruno Haible  <bruno@clisp.org>

	Avoid a gcc warning.
	* src/handler-win32.c (debug_get_except_list): Mark as unused.

2009-11-21  Bruno Haible  <bruno@clisp.org>

	Fix compilation error on newer versions of HP-UX 11.31 on ia64.
	* configure.ac: Set sv_cv_have_stack_overflow_recovery to 'no' if it is
	not possible to longjmp out of the signal handler. On HP-UX 11.31 on
	ia64 it is only possible with siglongjmp (as far as we know).
	Reported by Bill Glessner <bill.glessner@cwu.edu>.

	* configure.ac: Move determination of CFG_LEAVE before the
	determination of sv_cv_have_stack_overflow_recovery.

2009-10-17  Bruno Haible  <bruno@clisp.org>

	* README: Mention danger of longjmping back to a central point.
	Reported by Angelo Borsotti <angelo.borsotti@gmail.com>.

2009-09-22  Paolo Bonzini  <bonzini@gnu.org>

	Move more declarations of alternate stacks to global scope.
	* m4/sigaltstack-longjmp.m4: Make mystack global.
	* m4/sigaltstack-siglongjmp.m4: Make mystack global.
	* m4/sigaltstack.m4: Make mystack global.
[--snip--]
